Home
Home
  1. Schedules
  • Welcome
    • About Ontime
    • Overview
    • Test and Learn Projects
  • Authentication
  • Idempotency
  • Availability Check
    • Light Availability Check
      POST
    • Full Availability Check
      POST
  • Payment Management
    • Mandates
      • Create a new mandate
      • Revoke an existing mandate
      • Get a Mandate
      • Get many Mandates
    • Payment Requests
      • Instruct a new payment request
      • Cancel an existing payment request
      • Get a Payment
      • Get many Payments
    • Schedules
      • Instruct a new schedule
        POST
      • Cancel an existing schedule
        DELETE
      • Get a schedule
        GET
      • Get many schedules
        GET
  • Payouts
    • Get a Payout
      GET
    • Get Available Payouts
      GET
  • Webhooks
    • Mandate Created/Updated
    • Payment Request Created/Updated
    • Payout Created
  • Schemas
    • Schemas
      • PaymentManagement
        • MandateLimitations
        • MandateRecordResponse
        • MandateDeleteResponse
        • GetMandatesPagedResponse
        • MandateStatus
        • MandateRecordRequest
        • PaymentCreateRequest
        • PaymentResponse
        • PaymentDeleteResponse
        • GetPaymentsPagedResponse
        • PaymentStatus
        • AuthorisationSource
        • ScheduleCreateRequest
        • InstalmentResponse
        • ScheduleStatus
        • ScheduleResponse
        • InstalmentRequest
        • ScheduleCancelResponse
        • ExpectedPayment
        • PaymentCancelResponse
      • Payout
        • PayoutResponse
        • PayoutPaymentRequestItem
        • ListPayoutsResponse
      • Deprecated
        • Invitation
        • Consumer
        • PaymentMethod
        • ProductPaymentStatus
        • ProductStatus
        • PaymentRequestData
      • Webhook
        • Webhook
        • WebhookPaymentRequestPayload
        • WebhookMandatePayload
        • WebhookPayoutPayload
      • Core
        • ConsumerData
        • ProblemDetails
        • Metadata
        • PagingResponse
      • Availability
        • FullAvailabilityCheckRequest
        • FullAvailabilityCheckResponse
        • AvailabilityStatus
        • LightAvailabilityCheckRequest
        • LightAvailabilityCheckResponse
  1. Schedules

Cancel an existing schedule

Developing
Cloud Mock
https://mock.apidog.com/m1/828215-0-default
Cloud Mock
https://mock.apidog.com/m1/828215-0-default
DELETE
https://mock.apidog.com/m1/828215-0-default
schedules/{schedule_id}
OperationId:cancel_schedule_by_id
This will attempt to cancel an active schedule. Any payment requests that are completed or cannot be cancelled (e.g. due to payroll cut off) will remain unchanged. Any future payment requests which can be cancelled will be and the schedule will be moved to Cancelled status.

Request

Authorization
OAuth 2.0
Client Credentials
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Token URL: https://{domain}.auth.{region}.amazoncognito.com
Scopes:
schedules:write-Create and cancel payment schedules.
or
Path Params

Query Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request DELETE 'https://mock.apidog.com/m1/828215-0-defaultschedules/{{$string.uuid}}?allow_partial_collection=false' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "schedule_record": {
        "id": "4a2f1793-5701-41a3-8463-7d9be2d09b9e",
        "mandate_id": "dd274335-8b60-4646-837b-f09a48d45f9d",
        "currency": "GBP",
        "total_amount": 15000,
        "instalments": [
            {
                "amount": 5000,
                "due_date": "2026-02-03",
                "payment_request_id": "ad70f431-1916-4fbf-9cbd-90ad136efd4e"
            },
            {
                "amount": 5000,
                "due_date": "2026-03-03",
                "payment_request_id": "9c7374bb-a1ad-4c91-8509-1fa3f5cf2327"
            },
            {
                "amount": 5000,
                "due_date": "2026-04-03",
                "payment_request_id": "35d59539-3808-4823-9dba-175a2b9e5416"
            }
        ],
        "schedule_status": "Cancelled",
        "metadata": null
    },
    "instalments_remaining": [
        {
            "amount": 5000,
            "due_date": "2026-02-03",
            "payment_request_id": "ad70f431-1916-4fbf-9cbd-90ad136efd4e"
        },
        {
            "amount": 5000,
            "due_date": "2026-03-03",
            "payment_request_id": "9c7374bb-a1ad-4c91-8509-1fa3f5cf2327"
        }
    ]
}
Previous
Instruct a new schedule
Next
Get a schedule